"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var disposable_1 = require("@phosphor/disposable");
var manager_1 = require("./manager");
var renderer_1 = require("./renderer");
var NBWidgetExtension = /** @class */ (function () {
    function NBWidgetExtension() {
    }
    NBWidgetExtension.prototype.createNew = function (nb, context) {
        var manager = new manager_1.ContextManager(context);
        nb.rendermime.addFactory({
            safe: false,
            mimeTypes: [renderer_1.LOAD_MIME_TYPE_3Dmol],
            createRenderer: function (options) { return new renderer_1.JSLoad_3Dmol(options); }
        }, 0);
        return new disposable_1.DisposableDelegate(function () {
            if (nb.rendermime) {
                nb.rendermime.removeMimeType(renderer_1.LOAD_MIME_TYPE_3Dmol);
            }
            manager.dispose();
        });
    };
    return NBWidgetExtension;
}());
exports.NBWidgetExtension = NBWidgetExtension;
exports.extension = {
    id: 'jupyterlab_3Dmol',
    autoStart: true,
    activate: function (app) {
        // this adds the Bokeh widget extension onto Notebooks specifically
        app.docRegistry.addWidgetExtension('Notebook', new NBWidgetExtension());
    }
};
