import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
import { KernelMessage, Kernel } from '@jupyterlab/services';
import { IDisposable } from '@phosphor/disposable';
import { Widget } from '@phosphor/widgets';
export interface KernelProxy {
    registerCommTarget(targetName: string, callback: (comm: Kernel.IComm, msg: KernelMessage.ICommOpenMsg) => void): IDisposable;
}
/**
 * The MIME types for 3Dmol.js.
 */
export declare const LOAD_MIME_TYPE_3Dmol = "application/3dmoljs_load.v0";
/**
 * Load 3Dmol.js and CSS into the DOM
 */
export declare class JSLoad_3Dmol extends Widget implements IRenderMime.IRenderer {
    private _load_mimetype;
    private _div_element;
    constructor(options: IRenderMime.IRendererOptions);
    renderModel(model: IRenderMime.IMimeModel): Promise<void>;
}
